View Issue Details

IDProjectCategoryView StatusLast Update
0015516ScribusBuild Systempublic2019-06-04 20:55
Reporterhaawda Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.4.svn 
Target VersionFixed in Version1.5.5.svn 
Summary0015516: changes in poppler 0.72.0 cause build failure
DescriptionScribus fails to build against poppler 0.72.0 under Arch Linux.

[ 78%] Building CXX object scribus/plugins/import/pdf/CMakeFiles/importpdf.dir/slaoutput.cpp.o
/home/haawda/paketierung/meine_Pakete/scribus-svn/src/scribus/Scribus/scribus/plugins/import/pdf/slaoutput.cpp: In member function 'QString AnoOutputDev::getColor(GfxColorSpace*, const GfxColor*, int*)':
/home/haawda/paketierung/meine_Pakete/scribus-svn/src/scribus/Scribus/scribus/plugins/import/pdf/slaoutput.cpp:177:52: error: 'class GooString' has no member named 'getCString'; did you mean 'GooString'?
   QString name = QString(sepColorSpace->getName()->getCString());
                                                    ^~~~~~~~~~
                                                    GooString
/home/haawda/paketierung/meine_Pakete/scribus-svn/src/scribus/Scribus/scribus/plugins/import/pdf/slaoutput.cpp: In member function 'virtual void SlaOutputDev::beginMarkedContent(const char*, Dict*)':
/home/haawda/paketierung/meine_Pakete/scribus-svn/src/scribus/Scribus/scribus/plugins/import/pdf/slaoutput.cpp:3032:38: error: 'const class GooString' has no member named 'getCString'; did you mean 'GooString'?
     lName = QString(obj.getString()->getCString());
                                      ^~~~~~~~~~
                                      GooString
/home/haawda/paketierung/meine_Pakete/scribus-svn/src/scribus/Scribus/scribus/plugins/import/pdf/slaoutput.cpp: In member function 'virtual void SlaOutputDev::updateFont(GfxState*)':
/home/haawda/paketierung/meine_Pakete/scribus-svn/src/scribus/Scribus/scribus/plugins/import/pdf/slaoutput.cpp:3150:45: error: 'const class GooString' has no member named 'getCString'; did you mean 'GooString'?
    gfxFont->getName() ? gfxFont->getName()->getCString()
                                             ^~~~~~~~~~
                                             GooString
/home/haawda/paketierung/meine_Pakete/scribus-svn/src/scribus/Scribus/scribus/plugins/import/pdf/slaoutput.cpp:3183:46: error: 'const class GooString' has no member named 'getCString'; did you mean 'GooString'?
     gfxFont->getName() ? gfxFont->getName()->getCString()
                                              ^~~~~~~~~~
                                              GooString
/home/haawda/paketierung/meine_Pakete/scribus-svn/src/scribus/Scribus/scribus/plugins/import/pdf/slaoutput.cpp:3195:46: error: 'const class GooString' has no member named 'getCString'; did you mean 'GooString'?
     gfxFont->getName() ? gfxFont->getName()->getCString()
                                              ^~~~~~~~~~
                                              GooString
/home/haawda/paketierung/meine_Pakete/scribus-svn/src/scribus/Scribus/scribus/plugins/import/pdf/slaoutput.cpp:3207:46: error: 'const class GooString' has no member named 'getCString'; did you mean 'GooString'?
     gfxFont->getName() ? gfxFont->getName()->getCString()
                                              ^~~~~~~~~~
                                              GooString
/home/haawda/paketierung/meine_Pakete/scribus-svn/src/scribus/Scribus/scribus/plugins/import/pdf/slaoutput.cpp:3215:39: error: 'class GooString' has no member named 'getCString'; did you mean 'GooString'?
     ff = FoFiTrueType::load(fileName->getCString());
                                       ^~~~~~~~~~
                                       GooString
/home/haawda/paketierung/meine_Pakete/scribus-svn/src/scribus/Scribus/scribus/plugins/import/pdf/slaoutput.cpp:3232:46: error: 'const class GooString' has no member named 'getCString'; did you mean 'GooString'?
     gfxFont->getName() ? gfxFont->getName()->getCString()
                                              ^~~~~~~~~~
                                              GooString
/home/haawda/paketierung/meine_Pakete/scribus-svn/src/scribus/Scribus/scribus/plugins/import/pdf/slaoutput.cpp:3244:46: error: 'const class GooString' has no member named 'getCString'; did you mean 'GooString'?
     gfxFont->getName() ? gfxFont->getName()->getCString()
                                              ^~~~~~~~~~
                                              GooString
/home/haawda/paketierung/meine_Pakete/scribus-svn/src/scribus/Scribus/scribus/plugins/import/pdf/slaoutput.cpp:3265:46: error: 'const class GooString' has no member named 'getCString'; did you mean 'GooString'?
     gfxFont->getName() ? gfxFont->getName()->getCString()
                                              ^~~~~~~~~~
                                              GooString
/home/haawda/paketierung/meine_Pakete/scribus-svn/src/scribus/Scribus/scribus/plugins/import/pdf/slaoutput.cpp:3283:40: error: 'class GooString' has no member named 'getCString'; did you mean 'GooString'?
      ff = FoFiTrueType::load(fileName->getCString());
                                        ^~~~~~~~~~
                                        GooString
/home/haawda/paketierung/meine_Pakete/scribus-svn/src/scribus/Scribus/scribus/plugins/import/pdf/slaoutput.cpp:3297:46: error: 'const class GooString' has no member named 'getCString'; did you mean 'GooString'?
     gfxFont->getName() ? gfxFont->getName()->getCString()
                                              ^~~~~~~~~~
                                              GooString
/home/haawda/paketierung/meine_Pakete/scribus-svn/src/scribus/Scribus/scribus/plugins/import/pdf/slaoutput.cpp: In member function 'QString SlaOutputDev::getColor(GfxColorSpace*, const GfxColor*, int*)':
/home/haawda/paketierung/meine_Pakete/scribus-svn/src/scribus/Scribus/scribus/plugins/import/pdf/slaoutput.cpp:3580:52: error: 'class GooString' has no member named 'getCString'; did you mean 'GooString'?
   QString name = QString(sepColorSpace->getName()->getCString());
                                                    ^~~~~~~~~~
                                                    GooString
make[2]: *** [scribus/plugins/import/pdf/CMakeFiles/importpdf.dir/build.make:114: scribus/plugins/import/pdf/CMakeFiles/importpdf.dir/slaoutput.cpp.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:1899: scribus/plugins/import/pdf/CMakeFiles/importpdf.dir/all] Error 2
make: *** [Makefile:152: all] Error 2
Steps To ReproduceInstall poppler and poopler-qt5 (and, depending on the distro used) their -devel counterparts, in version 0.72.0

Build scribus.
TagsNo tags attached.
PatchNo

Relationships

has duplicate 0015520 closedjghali scribus-svn won't compile on Arch Linux 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2018-12-19 06:35 haawda New Issue
2018-12-19 11:36 jghali Summary changes in poppler 0.72.0 make build of scribus fail => changes in poppler 0.72.0 cause build failure
2018-12-19 11:39 jghali Assigned To => jghali
2018-12-19 11:39 jghali Status new => resolved
2018-12-19 11:39 jghali Resolution open => fixed
2018-12-19 11:39 jghali Fixed in Version => 1.5.5.svn
2018-12-20 20:46 jghali Relationship added has duplicate 0015520
2019-06-04 20:55 cbradney Status resolved => closed